File: colossal-cave-adventure.postinst

package info (click to toggle)
python-adventure 1.4-1
  • links: PTS, VCS
  • area: main
  • in suites: buster, stretch
  • size: 760 kB
  • ctags: 327
  • sloc: python: 1,991; makefile: 36; sh: 33
file content (47 lines) | stat: -rw-r--r-- 1,371 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
#! /bin/sh
# Post-install script for ‘colossal-cave-adventure’ package.
#
# Manual page: ‘dh_installdeb(1)’

set -e

# Summary of ways this script can be called:
#        * <postinst> ‘configure’ <most-recently-configured-version>
#        * <old-postinst> ‘abort-upgrade’ <new version>
#        * <conflictor-postinst> ‘abort-remove’
#          ‘in-favour’ <package> <new-version>
#        * <deconfigured-postinst> ‘abort-deconfigure’
#          ‘in-favour’ <failed-install-package> <version>
#          ‘removing’ <conflicting-package> <version>
# For details, see <URL:http://www.debian.org/doc/debian-policy/> or
# the ‘debian-policy’ package.

PRIORITY=70

case "$1" in

    configure)
        update-alternatives --install \
                /usr/games/adventure adventure \
                /usr/games/colossal-cave-adventure $PRIORITY \
                --slave \
                    /usr/share/man/man6/adventure.6.gz adventure.6.gz \
                    /usr/share/man/man6/colossal-cave-adventure.6.gz
        ;;

    abort-upgrade|abort-remove|abort-deconfigure)
        ;;

    *)
        printf "postinst called with unknown argument ‘%s’\n" "$1" >&2
        exit 1
        ;;

esac

# ‘dh_installdeb’ will replace this with shell code automatically
# generated by other Debhelper scripts.

#DEBHELPER#

exit 0